CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

calibre-server [seçenekler] [kitaplık klasörü yolu...]

Calibre İçerik sunucusunu başlatın. Calibre İçerik sunucusu, calibre kitaplıklarınızı internet üzerinden gösterir. Kitaplık klasörlerine giden yolu calibre-server argümanı olarak belirtebilirsiniz. Herhangi bir yol belirtmezseniz, ana calibre programının bildiği tüm kütüphaneler kullanılacaktır.

Whenever you pass arguments to calibre-server that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[SEÇENEKLER]

--access-log
    Erişim günlüğü dosyasının yolu. Bu günlük, sunucuya bağlanan ve istekte bulunan istemciler hakkında bilgi içerir. Varsayılan olarak erişim kaydı yapılmaz.

--ajax-timeout
    Sorgu yaparken sunucudan yanıt bekleme süresi (saniye cinsinden).

--auth-mode
    Choose the type of authentication used. Sunucu tarafından kullanılan HTTP kimlik doğrulama modunu ayarlayın. Bu sunucuyu bir SSL proxy arkasına yerleştiriyorsanız "temel" olarak ayarlayın. Aksi takdirde, bu ayarı "otomatik" olarak bırakın ki bu şekilde SSL ayarlanmışsa "temel" kullanılacaktır, diğer türlü "digest (sindirme)" yöntemi kullanacaktır.

--auto-reload
    Kaynak kod değiştiğinde sunucuyu otomatik olarak tekrar yükle. Geliştirme için faydalıdır. Kapatma sırasındaki zaman aşımı için küçük bir değer de belirlemelisiniz.

--ban-after
    Number of login failures for ban. The number of login failures after which an IP address is banned

--ban-for
    Ban IP addresses that have repeated login failures. Temporarily bans access for IP addresses that have repeated login failures for the specified number of minutes. Useful to prevent attempts at guessing passwords. If set to zero, no banning is done.

--book-list-mode
    Choose the default book list mode. Set the default book list mode that will be used for new users. Individual users can override the default in their own settings. The default is to use a cover grid.

--compress-min-size
    Minimum size for which responses use data compression (in bytes).

--custom-list-template
    Path to a JSON file containing a template for the custom book list mode. The easiest way to create such a template file is to go to Preferences-> Sharing over the net-> Book list template in calibre, create the template and export it.

--daemonize
    Run process in background as a daemon (Linux only).

--displayed-fields
    Restrict displayed user-defined fields. /opds ve /mobile görünümlerinde İçerik sunucusu tarafından görüntülenmeyecek kullanıcı tanımlı üstveri alanlarının virgülle ayrılmış listesi. Bu seçeneği belirtirseniz, bu listede olmayan alanlar görüntülenmeyecektir. Örneğin: my_rating,my_tags

--enable-allow-socket-preallocation, --disable-allow-socket-preallocation
    Socket pre-allocation, for example, with systemd socket activation. By default, this option is enabled.

--enable-auth, --disable-auth
    Sunucuya erişmek için parola tabanlı kimlik doğrulama. Normalde, sunucu sınırsızdır ve herkesin erişmesine izin verir. Bu seçenek ile erişimi, önceden tanımlanmış kullanıcılara erişim verecek şekilde kısıtlayabilirsiniz. By default, this option is disabled.

--enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
    Fallback to auto-detected interface. Sunucu herhangi bir nedenle listen_on seçeneğinde belirtilen arayüze bağlanamıyorsa, dış dünyaya bağlanan bir arayüzü tespit etmeye ve ona bağlanmaya çalışacaktır. By default, this option is enabled.

--enable-local-write, --disable-local-write
    Allow un-authenticated local connections to make changes. Normalde, kimlik doğrulamayı açmazsanız, sunucu salt okunur modda çalışır, böylece isimsiz kullanıcıların calibre kitaplıklarınızda değişiklik yapmasına izin verilmez. Bu seçenek, sunucunun çalıştığı bilgisayardan bağlanan herkesin değişiklik yapmasına izin verir. Bu, sunucuyu kimlik doğrulama olmadan çalıştırmak, ancak yine de calibre kitaplıklarınızda değişiklik yapmak için calibredb'yi kullanmak istiyorsanız kullanışlıdır. Bu seçeneği açmanın, bilgisayarda çalışan herhangi bir programın calibre kitaplıklarınızda değişiklik yapabileceği anlamına geldiğini unutmayın. By default, this option is disabled.

--enable-log-not-found, --disable-log-not-found
    Log HTTP 404 (Not Found) requests. Normalde sunucu, bulunmayan kaynaklar için tüm HTTP isteklerini günlüğe kaydeder. Sunucunuz botlar tarafından hedefleniyorsa, bu çok sayıda günlük spam'ı oluşturabilir. Kapatmak için bu seçeneği kullanın. By default, this option is enabled.

--enable-use-bonjour, --disable-use-bonjour
    Advertise OPDS feeds via BonJour. OPDS beslemelerini BonJour hizmeti aracılığıyla tanıtın, böylece OPDS tabanlı okuma uygulamaları sunucuyu otomatik olarak algılayabilir ve sunucuya bağlanabilir. By default, this option is enabled.

--enable-use-sendfile, --disable-use-sendfile
    Zero copy file transfers for increased performance. This will use zero-copy in-kernel transfers when sending files over the network, increasing performance. However, it can cause corrupted file transfers on some broken filesystems. If you experience corrupted file transfers, turn it off. By default, this option is enabled.

--help, -h
    bu yardım iletisini göster ve çık

--ignored-fields
    Ignored user-defined metadata fields. /opds ve /mobile görünümlerinde İçerik sunucusu tarafından görüntülenmeyecek kullanıcı tanımlı üstveri alanlarının virgülle ayrılmış listesi. Örneğin: my_rating,my_tags

--listen-on
    The interface on which to listen for connections. The default is to listen on all available IPv4 interfaces. You can change this to, for example, "127.0.0.1" to only listen for connections from the local machine, or to "::" to listen to all incoming IPv6 and IPv4 connections.

--log
    Sunucu günlüğü için günlük dosyasının yolu. Bu günlük, erişim günlüklerini değil, sunucu bilgilerini ve hataları içerir. Varsayılan olarak stdout'a yazılır.

--manage-users
    Bu sunucuya bağlanmasına izin verilen kullanıcıların veritabanını yönetin. Bir -- ekleyerek otomatik modda kullanabilirsiniz. Ayrıntılar için calibre-server --manage-users -- help konusuna bakın. Ayrıca bkz. --userdb seçeneği.

--max-header-line-size
    Max. size of single HTTP header (in KB).

--max-job-time
    Maximum time for worker processes. Maximum amount of time worker processes are allowed to run (in minutes). Set to zero for no limit.

--max-jobs
    Maximum number of worker processes. Worker processes are launched as needed and used for large jobs such as preparing a book for viewing, adding books, converting, etc. Normally, the max. number of such processes is based on the number of CPU cores. You can control it by this setting.

--max-log-size
    Max. log file size (in MB). Sunucu tarafından oluşturulan günlük dosyalarının maksimum boyutu. Günlük bu boyuttan daha büyük olduğunda, otomatik olarak eski kayıtların üzerine yazmaya başlar. Eski kayıtların üzerine yazılmasını devre dışı bırakmak için sıfıra ayarlayın.

--max-opds-items
    Maximum number of books in OPDS feeds. Sunucunun tek bir OPDS edinme akışında döndüreceği maksimum kitap sayısı.

--max-opds-ungrouped-items
    Maximum number of ungrouped items in OPDS feeds. Group items in categories such as author/tags by first letter when there are more than this number of items. Set to zero to disable.

--max-request-body-size
    Sunucuya yüklenen dosyalar için izin verilen maksimum boyut (MB olarak).

--num-per-page
    Number of books to show in a single page. The number of books to show in a single page in the browser.

--pidfile
    Süreç kimliğini belirtilen dosyaya yaz

--port
    The port on which to listen for connections.

--search-the-net-urls
    Path to a JSON file containing URLs for the "Search the internet" feature. The easiest way to create such a file is to go to Preferences-> Sharing over the net->Search the internet in calibre, create the URLs and export them.

--shutdown-timeout
    Total time in seconds to wait for clean shutdown.

--ssl-certfile
    Path to the SSL certificate file.

--ssl-keyfile
    Path to the SSL private key file.

--timeout
    Time (in seconds) after which an idle connection is closed.

--trusted-ips
    Allow un-authenticated connections from specific IP addresses to make changes. Normalde, kimlik doğrulamayı açmazsanız, sunucu salt okunur modda çalışır, böylece isimsiz kullanıcıların calibre kitaplıklarınızda değişiklik yapmasına izin verilmez. Bu seçenek, belirtilen IP adreslerinden bağlanan herkesin değişiklik yapmasına izin verir. Virgülle ayrılmış bir adres veya ağ özellikleri listesi olmalıdır. Bu, sunucuyu kimlik doğrulama olmadan çalıştırmak, ancak yine de calibre kitaplıklarınızda değişiklik yapmak için calibredb'yi kullanmak istiyorsanız kullanışlıdır. Bu seçeneği açmanın, belirtilen IP adreslerinden bağlanan herkesin calibre kitaplıklarınızda değişiklik yapabileceği anlamına geldiğini unutmayın.

--url-prefix
    A prefix to prepend to all URLs. Bu sunucuyu bir ters proxy arkasında çalıştırmak istiyorsanız kullanışlıdır. Örneğin URL öneki olarak /calibre kullanın.

--userdb
    Path to the user database to use for authentication. The database is a SQLite file. To create it use --manage-users. You can read more about managing users at: https://manual.calibre-ebook.com/tr/server.html#managing-user-accounts-from-the-command-line-only

--version
    programın sürüm numarasını göster ve çık

--worker-count
    Number of worker threads used to process requests.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal